db_object Struct Reference

`#include <db_object.h>`

## Data Fields

const db_connection_t * | connection
const char * | table
const char * | primary_key_name
db_object_field_list_t * | object_field_list

## Detailed Description

A database object.

Definition at line 201 of file db_object.h.

## Field Documentation

## connection

const db_connection_t* db_object::connection

Definition at line 202 of file db_object.h.

## object_field_list

db_object_field_list_t* db_object::object_field_list

Definition at line 205 of file db_object.h.

## primary_key_name

const char* db_object::primary_key_name

Definition at line 204 of file db_object.h.

## table

const char* db_object::table

Definition at line 203 of file db_object.h.

The documentation for this struct was generated from the following file:

- src/db/db_object.h